import { IButtonStyles, IIconStyles, IStackStyles, ITextStyles, IToggleStyles, Theme } from "@fluentui/react";
import { CustomTheme } from "../../../appTheme";
export declare function getActionMainButtonStyle(theme: Theme & CustomTheme): Partial<IButtonStyles>;
export declare function getActionMainStackStyle(theme: Theme & CustomTheme): Partial<IStackStyles>;
export declare function getActionTitleStyles(theme: Theme & CustomTheme): Partial<ITextStyles>;
export declare function getActionDescriptionStyles(theme: Theme & CustomTheme): Partial<ITextStyles>;
export declare function getActionInfoDescriptionStyles(theme: Theme & CustomTheme): Partial<ITextStyles>;
export declare function getIconStackStyle(isMultiLine: boolean, isSubElement?: boolean): Partial<IStackStyles>;
export declare function getImageIconStyle(): Partial<IIconStyles>;
export declare function getIconStyle(theme: Theme & CustomTheme): IIconStyles;
export declare function getContentAreaStackStyle(theme: Theme & CustomTheme, isMultiLine?: boolean): Partial<IStackStyles>;
export declare function getActionIconStackStyle(isMultiLine?: boolean): Partial<IIconStyles>;
export declare function getActionIconStyle(theme: Theme & CustomTheme): IIconStyles;
export declare function getToggleStyle(theme: Theme & CustomTheme): Partial<IToggleStyles>;
export declare function getActionInfoContentStyles(theme: Theme & CustomTheme, isMultiLine?: boolean): Partial<IStackStyles>;
